marsshooter_0.7.6-3_amd64.deb


Advertisement

Description

marsshooter - ridiculous space shooter governed by the laws of gravity

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package filename marsshooter_0.7.6-3_amd64.deb
Package name marsshooter
Package version 0.7.6
Package release 3
Package architecture amd64
Package type deb
Category games interface::graphical interface::x11 role::program
Homepage http://mars-game.sourceforge.net
License -
Maintainer Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Download size 285.88 KB
Installed size 952.00 KB

Alternatives

Package Version Architecture Repository
marsshooter_0.7.6-3_i386.deb 0.7.6 i386 Debian Main
marsshooter - - -

Requires

Name Value
fonts-dejavu -
fonts-gargi -
fonts-tlwg-waree -
fonts-wqy-microhei -
libc6 >= 2.14
libfribidi0 >= 0.19.2
libgcc1 >= 1:3.0
libgl1 -
libsfml-audio2.5 -
libsfml-graphics2.5 -
libsfml-system2.5 -
libsfml-window2.5 -
libstdc++6 >= 5.2
libtag1v5 >= 1.9.1-2.2~
marsshooter-data >= 0.7.6-3

Download

Type URL
Mirror ftp.br.debian.org
Binary Package marsshooter_0.7.6-3_amd64.deb
Source Package marsshooter

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install marsshooter deb package:
    # sudo apt-get install marsshooter

Files

Path
/usr/games/marsshooter
/usr/share/applications/marsshooter.desktop
/usr/share/doc/marsshooter/changelog.Debian.gz
/usr/share/doc/marsshooter/changelog.gz
/usr/share/doc/marsshooter/copyright
/usr/share/games/marsshooter/fonts/Comfortaa-Regular.ttf
/usr/share/games/marsshooter/fonts/DejaVuSans.ttf
/usr/share/games/marsshooter/fonts/Waree.ttf
/usr/share/games/marsshooter/fonts/ae_AlMothnna-Bold.ttf
/usr/share/games/marsshooter/fonts/gargi.ttf
/usr/share/games/marsshooter/fonts/wqy-microhei.ttc
/usr/share/man/man6/marsshooter.6.gz

Changelog

2018-07-29 - Markus Koschany <apo@debian.org>
marsshooter (0.7.6-3) unstable; urgency=medium
* Switch to compat level 11.
* Declare compliance with Debian Policy 4.1.5.
* Remove lintian-overrides file and update Files-Excluded paragraph.
(Closes: #885732)
* Add desktop-file.patch. Add ArcadeGame subcategory to desktop file.
(Closes: #865839)
2017-12-15 - Markus Koschany <apo@debian.org>
marsshooter (0.7.6-2) unstable; urgency=medium
* Switch to compat level 10.
* d/copyright: Use https for Format field.
* Declare compliance with Debian Policy 4.1.2.
* Drop deprecated menu file and xpm icon. Remove imagemagick from B-D.
* Add source/lintian-overrides.
* Install appdata file into /usr/share/metainfo.
* Use https for Vcs-Git field.
2016-01-10 - Markus Koschany <apo@debian.org>
marsshooter (0.7.6-1) unstable; urgency=medium
* Imported Upstream version 0.7.6.
- Add a new appdata file.
- Rename mars binary to marsshooter.
- Use upstream's man page.
- Make the build reproducible.
* Drop all patches. Applied upstream.
* Vcs-Browser: Use https.
* Update my e-mail address.
* Install NEWS file as upstream changelog.
* debian/control: Depend only on marsshooter-data (>= ${source:Version}).
* Add README.source.
* Add man-page.patch and fix outdated SYNOPSIS.
2015-07-01 - Markus Koschany <apo@gambaru.de>
marsshooter (0.7.5-3) unstable; urgency=medium
* Add remove-glu-dependency.patch.
Fix build failures with SFML 2.3. due to the use of functions from GLU and
replace GLU with standard OpenGL calls.
Thanks to James Cowgill for the report and the patch! (Closes: #784857)
* Declare compliance with Debian Policy 3.9.6.
* Vcs-Browser: Switch to cgit.
* Add mars binary to debian/clean and ensure M.A.R.S. can be built twice in a
row.
2014-02-03 - Markus Koschany <apo@gambaru.de>
marsshooter (0.7.5-2) unstable; urgency=medium
* Depend on fonts package fonts-wqy-microhei instead of the deprecated
ttf-wqy-microhei.
* Add fix-segfault-when-using-arguments-without-path.patch.
- Fix a segmentation fault when one tries to launch M.A.R.S using the -cfg
or -data arguments without specifying a path after that argument.
Thanks to Sylvain Boilard for the report and patch! (Closes: #737487)
* Add Forwarded headers to all patches.
* Remove source/options file because xz compression is the default now.
2013-12-17 - Markus Koschany <apo@gambaru.de>
marsshooter (0.7.5-1) unstable; urgency=medium
* Initial release. (Closes: #722915)

See Also

Package Description
mash-doc_2.1+dfsg-2_all.deb documentation for Mash
mash_2.1+dfsg-2_amd64.deb fast genome and metagenome distance estimation using MinHash
maskprocessor_0.73+git20170609.1708898-1_amd64.deb high-performance word generator with a per-position configurable charset
mason_1.0.0-13_all.deb Interactively creates a Linux packet filtering firewall
masqmail_0.3.4-1_amd64.deb mail transport agent for intermittently connected hosts
masscan_1.0.5+ds1-2_amd64.deb TCP port scanner
massif-visualizer_0.7.0-1_amd64.deb Tool for visualizing memory usage recorded by Valgrind Massif
mat2_0.8.0-3_all.deb Metadata anonymisation toolkit v2
mat_0.8.0-3_all.deb Transitional package to migrate to mat2
matanza_0.13+ds1-6_amd64.deb Space ascii war game
matchbox-common_0.9.1-7_all.deb common files for Matchbox Project applications
matchbox-desktop_2.0-6_amd64.deb desktop application launcher for resource-limited systems
matchbox-keyboard-im_0.1+svn20080916-12_amd64.deb GTK+ input module for on-screen keyboard
matchbox-keyboard_0.1+svn20080916-12_amd64.deb on-screen keyboard
matchbox-panel-manager_0.1-8_amd64.deb panel manager for matchbox-panel
Advertisement
Advertisement